Bug 61416 - clearpart --drives didn't work
clearpart --drives didn't work
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-03-19 06:35 EST by Mitsuo Hamada
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-28 17:18:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mitsuo Hamada 2002-03-19 06:35:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:
clearpart --drives hda couldn't clear partitions on hda.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Whenever I use kickstart mode and use clearpart --drives.

Additional info:
Comment 1 Jeremy Katz 2002-03-19 11:48:48 EST
What happens when you try to use it?
Comment 2 Mitsuo Hamada 2002-03-19 20:54:04 EST
Because all partitions on hda still remain, anaconda cannot make / partition 
on hda.
Comment 3 Jeremy Katz 2002-03-28 17:46:55 EST
Oh, sorry... I was being brain dead the first time I replied.

You also need to specify what is being removed, ie 'clearpart --all
--drives=hda' to remove all partitions from hda.  Otherwise, it still defaults
to not removing any types of partitions.
Comment 4 Mitsuo Hamada 2002-04-01 03:15:16 EST
'clearpart --all --drives sda' delete all partitions on both sda and sdb
and stopped at 'part /backup --size 4096 --onpart sdb1 --noformat --grow'.
How can I delete all partitions on hda and reallocate sdb1?
Comment 5 Jeremy Katz 2002-04-04 17:31:49 EST
This works for me here... my kickstart config looks like the following

lang en_US
langsupport --default=en_US
network --bootproto dhcp
nfs --server host --dir location
keyboard us
clearpart --all --drives=hda
part / --size 1500
part swap --recommended
part /home --noformat --onpart hdb2
mouse generic3ps/2
timezone US/Eastern
rootpw changeme
auth --useshadow --enablemd5
firewall --medium --ssh --dhcp
Comment 6 Mitsuo Hamada 2002-04-10 21:36:54 EDT
OK! I will try it again.
Comment 7 Mitsuo Hamada 2002-04-11 21:26:14 EDT
I tried it.  Ananconda stopped with error which told me that
part command requires --size option.
Did your sample really work well?
Which version of anaconda did you use?

Note You need to log in before you can comment on or make changes to this bug.